Bug 959993 - (CVE-2015-8614) VUL-0: CVE-2015-8614: claws-mail: no bounds check could lead to stack overflow
(CVE-2015-8614)
VUL-0: CVE-2015-8614: claws-mail: no bounds check could lead to stack overflow
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other openSUSE 42.1
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/160026/
:
Depends on: CVE-2015-8708
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-22 08:56 UTC by Victor Pereira
Modified: 2016-02-17 00:11 UTC (History)
3 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Victor Pereira 2015-12-22 08:56:02 UTC
CVE-2015-8614

So in codeconv.c there is a function for japanese character set conversion called conv_jistoeuc().  There is no bounds checking on the output buffer, which is created on the stack with alloca().  

References:
http://www.thewildbeast.co.uk/claws-mail/bugzilla/show_bug.cgi?id=3557
http://seclists.org/oss-sec/2015/q4/557
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2015-8614
Comment 1 Swamp Workflow Management 2015-12-22 23:00:17 UTC
bugbot adjusting priority
Comment 2 Atri Bhattacharya 2015-12-24 02:12:09 UTC
I am working on this, in case anyone hasn't already applied for the job ;)
Comment 3 Atri Bhattacharya 2015-12-24 03:32:53 UTC
https://build.opensuse.org/request/show/350619
Comment 4 Andreas Stieger 2015-12-24 11:20:19 UTC
(In reply to Atri Bhattacharya from comment #3)
> https://build.opensuse.org/request/show/350619

If 13.1 and 13.2 are affected, can you please submit for these as well?
Comment 5 Bernhard Wiedemann 2015-12-24 13:00:08 UTC
This is an autogenerated message for OBS integration:
This bug (959993) was mentioned in
https://build.opensuse.org/request/show/350674 42.1+13.1+13.2 / claws-mail
Comment 6 Atri Bhattacharya 2015-12-24 13:26:54 UTC
Thanks for pointing out, Andreas. Since upstream only committed it to the master branch I thought the bug only affected the latest version, but indeed 13.2 and 13.1 are affected too. Please see https://build.opensuse.org/request/show/350674 for the multi-target fix.
Comment 7 Andreas Stieger 2015-12-24 21:53:43 UTC
update is running
Comment 8 Andreas Stieger 2016-01-01 20:50:51 UTC
Releasing
Comment 9 Swamp Workflow Management 2016-01-02 00:04:35 UTC
openSUSE-SU-2016:0002-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 959993
CVE References: CVE-2015-8614
Sources used:
openSUSE Leap 42.1 (src):    claws-mail-3.12.0-4.1
openSUSE 13.2 (src):    claws-mail-3.11.0-2.7.1
openSUSE 13.1 (src):    claws-mail-3.10.1-3.8.1
Comment 10 Swamp Workflow Management 2016-02-16 20:13:24 UTC
openSUSE-SU-2016:0479-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 959993
CVE References: CVE-2015-8614
Sources used:
openSUSE Leap 42.1 (src):    claws-mail-3.12.0-7.1
openSUSE 13.2 (src):    claws-mail-3.11.0-2.10.1
Comment 11 Swamp Workflow Management 2016-02-17 00:11:54 UTC
openSUSE-SU-2016:0485-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 959993
CVE References: CVE-2015-8614
Sources used:
openSUSE 13.1 (src):    claws-mail-3.11.0-3.11.1